apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  name: internalapi
  namespace: openstack 
spec:
  config: |
    {
      "cniVersion": "0.3.1",
      "name": "internalapi",
      "type": "macvlan",
      "master": "eno3.31",  
      "ipam": {               
        "type": "whereabouts",
        "range": "172.16.31.0/24",
        "range_start": "172.16.31.100",  
        "range_end": "172.16.31.150"
      }
    }
---
apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  labels:
    osp/net: ctlplane
  name: ctlplane
  namespace: openstack
spec:
  config: |
    {
      "cniVersion": "0.3.1",
      "name": "ctlplane",
      "type": "macvlan",
      "master": "eno3",
      "ipam": {
        "type": "whereabouts",
        "range": "172.16.29.0/24",
        "range_start": "172.16.29.100",
        "range_end": "172.16.29.150"
      }
    }
---
apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  name: storage
  namespace: openstack
spec:
  config: |
    {
      "cniVersion": "0.3.1",
      "name": "storage",
      "type": "macvlan",
      "master": "enp6s0.32",
      "ipam": {
        "type": "whereabouts",
        "range": "172.16.32.0/24",
        "range_start": "172.16.32.100",
        "range_end": "172.16.32.150"
      }
    }
---
apiVersion: k8s.cni.cncf.io/v1
kind: NetworkAttachmentDefinition
metadata:
  labels:
    osp/net: tenant
  name: tenant
  namespace: openstack
spec:
  config: |
    {
      "cniVersion": "0.3.1",
      "name": "tenant",
      "type": "macvlan",
      "master": "enp6s0.33",
      "ipam": {
        "type": "whereabouts",
        "range": "172.16.33.0/24",
        "range_start": "172.16.33.100",
        "range_end": "172.16.33.150"
      }
    }
